{% extends "posts/base.html"%}
{% block page_content %}
<font color=black>

    <div id="page" class="container">
            <section>
                <header class="major">
                    <h2>Media</h2>
                </header>
                    {% for im in images %}
                    <a href="{% url 'post-detail' im.post.id %}">
                    <img src='{{ MEDIA_URL }}{{ im.myimage }}'></a>
                        <p></p>
                    {% endfor %}
            </section>
        </div>


      {% if is_paginated %}
     <div id="banner" class="big">
        <section>
      {% if page_obj.has_previous %}
        <a href="?page=1"><strong>First</strong></a>
        <a href="?page={{ page_obj.previous_page_number }}"><strong>Previous</strong></a>
      {% endif %}

      {% for num in page_obj.paginator.page_range %}
        {% if page_obj.number == num %}
          <a href="?page={{ num }}"><strong>{{ num }}</strong></a>
        {% elif num > page_obj.number|add:'-3' and num < page_obj.number|add:'3' %}
          <a href="?page={{ num }}"><strong>{{ num }}</strong></a>
        {% endif %}
      {% endfor %}

      {% if page_obj.has_next %}
        <a href="?page={{ page_obj.next_page_number }}"><strong>Next</strong></a>
        <a href="?page={{ page_obj.paginator.num_pages }}"><strong>Last</strong></a>
      {% endif %}
    </section>
          </div>
{% endif %}
</font>
{% endblock %}








